### Method

# Gimp Image undo_freeze

#### Declaration [src]

    gboolean
    gimp_image_undo_freeze (
      GimpImage* image
    )

#### Description [src]

Freeze the image’s undo stack.

This procedure freezes the image’s undo stack, allowing subsequent operations to ignore their undo steps. This is generally called in conjunction with `gimp_image_undo_thaw()` to temporarily disable an image undo stack. This is advantageous because saving undo steps can be time and memory intensive. `gimp_image_undo_freeze()` / `gimp_image_undo_thaw()` and `gimp_image_undo_disable()` / `gimp_image_undo_enable()` differ in that the former does not free up all undo steps when undo is thawed, so is more suited to interactive in-situ previews. It is important in this case that the image is back to the same state it was frozen in before thawing, else ‘undo’ behavior is undefined.

#### Return value

Type: `gboolean`

TRUE if the image undo has been frozen.